{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>ooo_entries:write</code>\n\nCreates a new OOO entry.\n\nReturns the full record of the newly created OOO entry.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["created_by","created_by.name","end_date","start_date","user","user.name"]},"examples":[["created_by","created_by.name","end_date","start_date","user","user.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"allOf":[{"$ref":"#/definitions/OooEntryCreateRequest"},{"type":"object","required":["user","workspace","start_date","end_date"]}]}}}},"required":["body"],"additionalProperties":false,"definitions":{"OooEntryCreateRequest":{"allOf":[{"$ref":"#/definitions/OooEntryBase"},{"type":"object","properties":{"user":{"type":"string","description":"Globally unique identifier for the user who is out of office."},"workspace":{"type":"string","description":"Globally unique identifier for the workspace.","examples":["98765"]}}}]},"OooEntryBase":{"description":"A generic Asana Resource, containing a globally unique identifier.","type":"object","properties":{"start_date":{"type":"string","format":"date","description":"The day on which the OOO entry starts.","examples":["2024-01-01"]},"end_date":{"type":"string","format":"date","description":"The day on which the OOO entry ends.","examples":["2024-01-15"]}}}}},"name":"Create an OOO entry","id":"asana.createoooentry","example":{"body":{}},"maxRequests":1,"summary":false}}